UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.UMEMessageAck Class Reference

UMEMessageAck class. Use this object to send explicit acks. More...

Inheritance diagram for com.latencybusters.lbm.UMEMessageAck:

## Public Member Functions
void | sendExplicitAck (uint sqn)
| Sends an explicit ack up to the sequence number provided. More...
void | markNotOutstanding (uint sqn)
| Marks that up to the sequence number provided should no longer be considered outstanding for throttled recovery which will free up additional requests. More...
void | Dispose ()
| Delete the underlying ack structure. More...

## Detailed Description

UMEMessageAck class. Use this object to send explicit acks.

## Member Function Documentation

void com.latencybusters.lbm.UMEMessageAck.Dispose | ( |  | ) |

Delete the underlying ack structure.

Exceptions

  com.latencybusters.lbm.LBMException | Unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBM.errorMessage(), and com.latencybusters.lbm.LBM.errorNumber().

void com.latencybusters.lbm.UMEMessageAck.markNotOutstanding | ( | uint | sqn | ) |

Marks that up to the sequence number provided should no longer be considered outstanding for throttled recovery which will free up additional requests.

Parameters

  sqn | The sequence number up to which to mark as no longer outstanding.

Exceptions

  com.latencybusters.lbm.LBMException | Unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBM.errorMessage(), and com.latencybusters.lbm.LBM.errorNumber().

void com.latencybusters.lbm.UMEMessageAck.sendExplicitAck | ( | uint | sqn | ) |

Sends an explicit ack up to the sequence number provided.

Parameters

  sqn | The sequence number up to which to send the explicit ack.

Exceptions

  com.latencybusters.lbm.LBMException | Unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBM.errorMessage(), and com.latencybusters.lbm.LBM.errorNumber().

The documentation for this class was generated from the following file:

- UMEMessageAck.cs